The operation couldn’t be completed. osascript: can't open default scripting component.

Hi

I upgraded my MacOS to High Sierra (10.13) and I started to get the error "The operation couldn’t be completed. osascript: can't open default scripting component." when I try to fill in a form with 1Password.

It seems to be a problem with any browser (tested Safari and Chrome).

Is this a known issue?

Thank you


1Password Version: 6.8.2
Extension Version: Not Provided
OS Version: 10.13
Sync Type: Not Provided

Comments

  • LarsLars Junior Member

    Team Member

    Hi @JMM -- osascript is a system component. I don't want to be a harbinger of doom, but it sounds like your recent installation of macOS 10.13 may be damaged.

    Let's see what we can find out. Please do the following:

    • Open Terminal (found in the /Applications/Utilities folder).
    • Copy and paste the following command on a single line and press Return:
      osascript -e 'tell app "Finder" to display dialog "AppleScript works"'

    • If you see this image, click OK:

    Let us know what the result is -- and good luck

  • Thank you @Lars
    I tried that osascript command and it didn't give any results (command not found).

    I was about to reinstall macOS but instead I decided to quite 1Password and after restarting the computer it all started to work fine.

    This is solved. Thank you.

  • rudyrudy

    Team Member

    @JMM,

    Good to hear a restart cleared up the problem.

    Rudy

Leave a Comment

BoldItalicStrikethroughOrdered listUnordered list
Emoji
Image
Align leftAlign centerAlign rightToggle HTML viewToggle full pageToggle lights
Drop image/file